Package org.apache.sling.scripting.sightly.compiler.commands

## Class VariableBinding

- java.lang.Object
- - org.apache.sling.scripting.sightly.compiler.commands.VariableBinding

    public final class VariableBinding
    extends Object

This `Command` marks the binding of a variable. The command must have a corresponding binding end later in the stream.

### Nested Class Summary

Nested Classes
`static class` `VariableBinding.End`
`static class` `VariableBinding.Global`
`static class` `VariableBinding.Start`

### Field Summary

Fields
`static VariableBinding.End` `END`

### Constructor Summary

Constructors
`VariableBinding()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### END

    public static final VariableBinding.End END

### Constructor Detail

#### VariableBinding

    public VariableBinding()